/***************************************************************************
 *
 *  ZXEmuT -- ZX Spectrum Emulator with Tcl scripting
 *
 *  Copyright (C) 2012-2022 Ketmar Dark <ketmar@ketmar.no-ip.org>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, version 3 of the License ONLY.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 **************************************************************************/
static const uint8_t autotape_128[1418] = {
0x5a,0x58,0x53,0x54,0x01,0x04,0x02,0x00,0x43,0x52,0x54,0x52,0x24,0x00,0x00,0x00,
0x5a,0x58,0x45,0x6d,0x75,0x54,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x5a,0x38,0x30,0x52,0x25,0x00,0x00,0x00,0x10,0x01,0x00,0x00,
0x00,0x00,0xcb,0x5c,0xf7,0x02,0x21,0x18,0x9b,0x36,0x38,0x00,0xd1,0x5c,0x3a,0x5c,
0x4e,0xff,0x61,0x07,0x00,0x32,0x01,0x01,0x01,0x65,0x95,0x00,0x00,0x00,0x00,0x61,
0x07,0x53,0x50,0x43,0x52,0x08,0x00,0x00,0x00,0x07,0x10,0x00,0xbf,0x00,0x00,0x00,
0x00,0x4b,0x45,0x59,0x42,0x05,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x08,0x41,0x4d,
0x58,0x4d,0x07,0x00,0x00,0x00,0x02,0x00,0x00,0x00,0x00,0x00,0x00,0x41,0x59,0x00,
0x00,0x12,0x00,0x00,0x00,0x00,0x0e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xff,0x00,
0x00,0x00,0x00,0x00,0x00,0xff,0x00,0x42,0x31,0x32,0x38,0x0a,0x00,0x00,0x00,0x11,
0x00,0x00,0x00,0x04,0x28,0x00,0x00,0x00,0xa4,0x52,0x41,0x4d,0x50,0xca,0x00,0x00,
0x00,0x01,0x00,0x00,0x78,0xda,0xed,0xcd,0x2d,0x0e,0xc2,0x40,0x10,0x86,0xe1,0xe9,
0x1a,0x90,0x08,0x04,0x09,0x41,0x70,0x06,0x0c,0x24,0x4d,0xb3,0x99,0x14,0x42,0x2a,
0x10,0x48,0x5a,0x03,0x02,0x8d,0xac,0xd8,0xf4,0x32,0x9c,0x80,0x9b,0xa0,0x30,0x1c,
0x01,0xce,0x40,0xd8,0x59,0x30,0x1c,0x81,0xe4,0x7d,0xcc,0x66,0x7e,0xbe,0x1d,0x11,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xfe,0xc4,0xf3,0xb7,0x5c,0x2e,0xce,0x8b,0xbb,
0x0b,0xf3,0xe7,0xe3,0x32,0xbb,0x35,0xd7,0x66,0x9c,0x59,0x77,0x90,0xed,0x7b,0xc3,
0x7a,0x3a,0x9a,0xd4,0x52,0x0c,0xc7,0x92,0xab,0x76,0xaa,0x22,0x41,0x83,0x6a,0x90,
0x58,0x7b,0xaf,0xb9,0x48,0x5b,0xaa,0x96,0xad,0x48,0xe7,0x83,0xf7,0xdd,0xf7,0xf5,
0x69,0xbe,0xb1,0x79,0x8a,0xc5,0x5c,0xd1,0x8f,0x0a,0x11,0xe7,0x9c,0x5a,0xbf,0x5c,
0x9f,0xd6,0x65,0xec,0x7b,0x13,0x73,0x7a,0xdc,0xa5,0x3d,0x3d,0x6c,0xab,0x95,0x5a,
0x5e,0xd3,0x9e,0x5d,0xfb,0xfc,0xa7,0xdb,0xea,0x5b,0x5b,0x2e,0xf7,0xb9,0xb3,0xf9,
0x6b,0x60,0xec,0x4e,0xda,0x7f,0x03,0x79,0x8c,0x2d,0xa7,0x52,0x41,0x4d,0x50,0x2a,
0x00,0x00,0x00,0x01,0x00,0x01,0x78,0xda,0xed,0xc1,0x31,0x01,0x00,0x00,0x00,0xc2,
0xa0,0xf5,0x4f,0x6d,0x0c,0x1f,0xa0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xb7,0x01,0x40,0x00,0x00,0x01,0x52,0x41,0x4d,
0x50,0x2a,0x00,0x00,0x00,0x01,0x00,0x02,0x78,0xda,0xed,0xc1,0x31,0x01,0x00,0x00,
0x00,0xc2,0xa0,0xf5,0x4f,0x6d,0x0c,0x1f,0xa0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xb7,0x01,0x40,0x00,0x00,0x01,0x52,
0x41,0x4d,0x50,0x2a,0x00,0x00,0x00,0x01,0x00,0x03,0x78,0xda,0xed,0xc1,0x31,0x01,
0x00,0x00,0x00,0xc2,0xa0,0xf5,0x4f,0x6d,0x0c,0x1f,0xa0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xb7,0x01,0x40,0x00,0x00,
0x01,0x52,0x41,0x4d,0x50,0x2a,0x00,0x00,0x00,0x01,0x00,0x04,0x78,0xda,0xed,0xc1,
0x31,0x01,0x00,0x00,0x00,0xc2,0xa0,0xf5,0x4f,0x6d,0x0c,0x1f,0xa0,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xb7,0x01,0x40,
0x00,0x00,0x01,0x52,0x41,0x4d,0x50,0x7b,0x02,0x00,0x00,0x01,0x00,0x05,0x78,0xda,
0xed,0xd7,0xb1,0x6b,0x13,0x51,0x1c,0x07,0xf0,0xdf,0xa5,0x67,0xd3,0x6a,0x43,0xaf,
0x43,0x4c,0x87,0x40,0x2f,0x15,0xda,0x62,0x41,0xad,0x38,0xbc,0xca,0xc3,0x3c,0x8e,
0x27,0x06,0x44,0x28,0x55,0x50,0xbc,0x5b,0x9c,0xec,0xd0,0x41,0xc4,0xe1,0x94,0x90,
0xc4,0x7f,0xc1,0xd9,0xcd,0xc5,0xbf,0xc0,0xc5,0xa5,0x92,0x3a,0xa4,0x55,0xab,0x9b,
0xe0,0x52,0x10,0xdb,0xc1,0x6a,0x5b,0xd2,0x62,0xc1,0x26,0xe7,0x2f,0x89,0xad,0x18,
0xad,0x1e,0x74,0xe9,0x95,0xef,0xe7,0x07,0x77,0xc9,0x7b,0xf7,0x5e,0xf2,0xcd,0xdd,
0x3b,0x2e,0x44,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0x95,0x51,0xe7,0x3a,
0xf4,0x29,0xeb,0x8d,0x8d,0x22,0x32,0xff,0xe8,0xe9,0xd8,0xe6,0x0a,0x37,0x9e,0x59,
0xbb,0x2d,0xf9,0x7c,0x41,0x6a,0x7e,0x6f,0x45,0x22,0xbf,0x25,0x7c,0x41,0x4a,0x08,
0x53,0xa4,0xdb,0x7a,0xe2,0x5b,0x5c,0x21,0xc6,0x53,0x5a,0xf8,0x69,0xd1,0x48,0xcb,
0x3b,0x21,0xc8,0x71,0x94,0x93,0x23,0xa1,0xb9,0x3d,0x0a,0xf9,0x4d,0xad,0x49,0x69,
0x53,0x6a,0xbb,0xad,0xa7,0x77,0x8d,0xeb,0xff,0xe3,0x35,0xd9,0xa6,0xb6,0x75,0x23,
0x3f,0xef,0x94,0xa2,0xbc,0x93,0x77,0xee,0x90,0x75,0xed,0x8c,0xad,0xa3,0x90,0x5f,
0x6a,0x9f,0xf3,0xf3,0xb6,0x3d,0xff,0xc0,0x22,0x57,0xa8,0xfc,0xfc,0xdb,0xf9,0x16,
0x5d,0xe0,0xfc,0x7e,0xe3,0xfc,0xe7,0x55,0x21,0xc7,0xf9,0x2d,0xdb,0x8f,0x42,0x7e,
0xed,0x2b,0xce,0xaf,0xb5,0x6a,0xcf,0x9f,0x9d,0xe1,0x0a,0x95,0x5f,0x6b,0x5b,0x35,
0xaf,0x7f,0x5b,0x99,0x26,0x39,0x5a,0x39,0xba,0x99,0x5f,0x45,0xe2,0xfc,0x2b,0x49,
0x05,0x21,0xa5,0x6c,0xcf,0x5f,0x2c,0x71,0x85,0x5a,0xff,0x52,0xa7,0x65,0x4f,0xe3,
0x36,0x6a,0x4b,0xdf,0xe7,0xeb,0xbf,0xe0,0x38,0xd4,0x33,0x22,0xd2,0x32,0x12,0x77,
0xc0,0xbd,0xce,0x52,0xd0,0xac,0xfd,0xce,0x24,0x00,0x0e,0xb0,0x4b,0xbf,0xa8,0xdf,
0x39,0x77,0xef,0x4d,0x4f,0xa9,0xfd,0xce,0xbf,0xf9,0xd2,0xa8,0x15,0xcf,0x7b,0xee,
0x57,0xab,0x7a,0xd6,0x73,0xbf,0xdc,0xff,0xfe,0x62,0xbd,0xf2,0x9a,0xdc,0x4f,0x27,
0x6f,0xba,0x1f,0x2b,0x55,0xee,0x58,0x5a,0xe5,0x76,0x3e,0x86,0xbb,0xca,0x65,0xca,
0xbc,0xef,0xec,0xef,0xc8,0xcc,0xc5,0xbb,0x5a,0xa3,0x36,0x97,0x56,0x5b,0xc3,0xca,
0x4b,0x47,0xba,0xd6,0xb9,0xed,0xe7,0x24,0x5d,0x95,0x5b,0xf1,0x53,0x49,0x6b,0x81,
0x8e,0x35,0xd6,0xd8,0x04,0xf5,0xed,0xbd,0x28,0xab,0xee,0xca,0xe7,0x95,0x51,0xc3,
0x18,0xa3,0xcc,0xce,0xd3,0xdc,0x51,0x2e,0xa3,0x23,0xde,0x3b,0x90,0x2d,0x06,0xf5,
0xed,0xad,0xb5,0xc5,0x99,0x52,0x98,0xe5,0x7d,0x71,0xfc,0xc9,0xf8,0x87,0x58,0x5e,
0xec,0xec,0xa7,0x6b,0x57,0xa8,0x6f,0x84,0x97,0x38,0xf7,0x79,0x94,0x23,0xe9,0x11,
0x0d,0x0f,0x7c,0x8b,0x2d,0x67,0x47,0x87,0x97,0xb3,0x0f,0x86,0xc6,0x12,0xb7,0x87,
0x9a,0x77,0x90,0x84,0x69,0x27,0x12,0x27,0x62,0xfc,0xea,0x38,0x19,0xd4,0xc9,0x5f,
0xda,0x68,0xee,0xff,0xf1,0x84,0x28,0x15,0x05,0x8f,0xed,0xc9,0xd6,0xfd,0x27,0xa8,
0x07,0x06,0x7f,0xc8,0x3c,0xcf,0xff,0xcc,0x7b,0xee,0xcd,0x7b,0x6f,0xbd,0x39,0xef,
0x15,0xd7,0x02,0xb7,0xbc,0xf3,0xaa,0x5c,0xc5,0x47,0x1e,0xc5,0x76,0x9f,0xdc,0x53,
0xcd,0x2f,0x75,0xa3,0x35,0xda,0x4c,0x91,0xaa,0x4d,0x64,0xfa,0xcd,0x14,0x4f,0x12,
0xe2,0x91,0xec,0x7a,0x10,0x04,0x1b,0xdd,0x4f,0xad,0xcb,0x1b,0xdd,0xb3,0xc9,0xab,
0x0f,0x7b,0x67,0x93,0x93,0xe7,0xdc,0xd3,0xee,0x44,0xa9,0xb4,0x3a,0x38,0x98,0x28,
0x51,0x60,0xef,0xe0,0x83,0xff,0xf2,0xc3,0x95,0x12,0x6f,0x3c,0xfc,0x7b,0x02,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xc3,
0xe1,0x07,0x9a,0xbb,0x5e,0xe6,0x52,0x41,0x4d,0x50,0x2a,0x00,0x00,0x00,0x01,0x00,
0x06,0x78,0xda,0xed,0xc1,0x31,0x01,0x00,0x00,0x00,0xc2,0xa0,0xf5,0x4f,0x6d,0x0c,
0x1f,0xa0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x80,0xb7,0x01,0x40,0x00,0x00,0x01,0x52,0x41,0x4d,0x50,0x7a,0x00,0x00,0x00,
0x01,0x00,0x07,0x78,0xda,0xed,0xd8,0x31,0x0a,0x83,0x30,0x18,0x80,0xd1,0x08,0x66,
0xae,0x83,0x60,0x47,0x3b,0x79,0x85,0x8c,0x1d,0x7a,0x00,0x07,0x0f,0xe4,0xd1,0x7a,
0xb0,0x42,0x15,0x33,0x09,0xce,0x21,0xc8,0x7b,0x43,0x02,0x59,0x3e,0xf8,0xc9,0x10,
0x12,0x02,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x50,0xb9,0xef,0xe5,
0xe9,0xfa,0x4f,0x21,0xed,0x7b,0x6f,0x40,0xdc,0xd9,0x78,0xac,0x71,0x08,0xef,0xdf,
0xfc,0x7a,0xc6,0xa1,0xc9,0xf7,0xbe,0xac,0x74,0xa2,0xae,0xae,0xae,0xae,0x7e,0xb7,
0x3a,0x55,0xf8,0x4c,0xcb,0xb4,0x6f,0x6d,0xe7,0x75,0x0b,0x40,0x41,0x4d,0xcc,0x1f,
0x2b,0x0f,0xa3,0xa0,0x1a,0x1b,0x9d,0x9e,0x2b,0x49,
};
